Subject: Re: bug#66560: [DOCUMENTATION] doc: Include steps for mounting EFI partitions.
From: Maxim Cournoyer <[email-masked]>
To: Christina O'Donnell <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Wed, 01 Nov 2023 12:23:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Christina,

Christina O'Donnell <[email-masked]> writes:

> Hi Maxim,
>
> Thank you for your time and comments.
>
>> If you look at the latest manual, this should not be empty since mount
>> --rbind is used (the 'r' in the name is for recursive) for the whole
>> /sys directory:
>>
>>           mount --rbind /proc /mnt/proc
>>           mount --rbind /sys /mnt/sys
>>           mount --rbind /dev /mnt/dev
>
> Yes! I see the latest one uses --rbind while the 1.4.0 manual that I
> was following uses --bind. I didn't see the change, but that should be
> sufficient.

[...]

> I don't think "efi=runtime" is necessary (and I couldn't it in the
> kernel documentation).I did run into this problem on the Guix System
> installer. I think now that my problem must have been caused by using
> '--bind' (without the "r"). Since the installer uses an UEFI
> bootloader, I doubt any further steps are needed as you say.

[...]

>> This should be covered by the --rbind, asusming the host contains
>> /sys/firmware/efi/efivars.
>>
>> So I think we don't need to change anything to the manual. If the
>> "efi=runtime" advice is truly useful even on Guix System, we could
>> mention it like so:
>>
>
> I agree. I'm happy for this patch/issue to be closed. Thank you for
> reviewing this!

OK!  Thanks for getting back to us.  Closing!

-- 
Maxim